function Framebuffer_h(h)
{
	this.handle = h;

	this.Blit = function(blendMode, srcRect, dstRect, shader, parameters)
	{
		return fsFramebuffer_Blit(this.handle, blendMode, srcRect, dstRect, shader, parameters);
	}

	this.Delete = function()
	{
		return fsFramebuffer_Delete(this.handle);
	}

}
function Framebuffer(w, h, multiSamples, pixelFormat, depth, mipMaps)
{
	return new Framebuffer_h(fsFramebuffer_Create(w, h, multiSamples, pixelFormat, depth, mipMaps));
}
